package com.simonstl.fragment;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.*;
import org.xml.sax.helpers.AttributesImpl;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.XMLFilter;
import org.xml.sax.helpers.XMLFilterImpl;

/*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at 
http://www.mozilla.org/MPL/ 
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License. 

The Original Code is available at  http://simonstl.com/projects/fragment/original. 

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved. 

Contributor(s): 
*/

/**
* <p>The Characters class stores information about textual fragments.</p>
*
* <p>Version 0.01 is based on the Element class.</p>
*
* @version 0.01 1 July 2001
* @author Simon St.Laurent
*/

public class Characters extends DocComponent {

public Characters () {
    
}

public Characters (String newContent) {
    content=newContent;
}

public Characters (Characters oldDocComponent) {
    nsURI=oldDocComponent.getNsURI();
    localName=oldDocComponent.getLocalName();
    prefix=oldDocComponent.getPrefix();
    content=oldDocComponent.getContent();
    before=oldDocComponent.getBefore();
    after=oldDocComponent.getAfter();
}


public boolean matchComponent (String match) {
    return (match.equals("&"+content));
}

public String getKey() {
    return "&"+content;
}





public void eventComponent(FragmentFilter handler) throws SAXException {
      String QName;
//System.out.println("skip status: "+skip);
      String output="";
//if there's content for before the content, present it
      if (before!=null) {
        output=output+before;
      }

//if there is content, present it
      if (!(content.equals(""))) {
        output=output+content;
      }

//if there's content for after the content, present it

      if (after!=null) {
        output=output+after;
      }

//System.out.println("event content: " + output);

        handler.startChars(); 
        handler.characters(output.toCharArray(), 0, output.length());
        handler.endChars(); 

}


public void print() {
System.out.println("content: " +content);
}

public String toString() {
   return ("content: "+content);
}

}